Subject: Re: dselect/dpkg problem: install/remove

From: [email-masked]
Date: Wed, 07 Aug 96 11:04:03 cet

Hi,
 
 > where is local/binary ??
 I _think_ is a local filesystem or directory where you put your 
 any extra package which is not present under the stable|contrib|non-free 
 tree. For example you can put ther 
 a) Your own packages like a custom kernel created out of the kernel-source 
   and made (autoamtically) kernel-image-custom.deb
 b) the ftp'ed partial tree if you don't have the CD
 
 Anybody knows of other use for it?
 
 >I have tried to remove these packages, but upon running either 
 >dselect or dpkg I get something along the lines of "Package is in an 
 >unstable/condititon please re-install before attempting to remove"
 > ......I can't install the pac kage, can't re-install the package, 
 > and dselect/dpgk won't remove it!
              ^^^^^
 
 It happened to me too with dselect when I run out of space in /usr 
 (The size of the packages being selected and the free space on the 
 filesystem would have helped... Ian, Bruce are you listening?). 
 
 In my case, only the front-end "dselect" could not install or remove 
 those "unstable" packages. This however worked for me:
  
 1) Quit dselect
 2) Install the "unstable" packages with "dpkg -i" giving the full path
    something like:
    # dpkg -i /cdrom/stable/binary-i386/devel/kernel-source-2.0.6-0.deb
    That will install the package and update the files dselect needs to
    configure/remove/purge or whatever you want to do next with the
    package within dselect.
 
 >As I do not clearly understand the package system yet, I'm afraid to 
 >simply delete the packages and mess up dpkg's database.  
 
 Don't worry, you're not alone :-). Just read the documentation you find 
 _many_ times untill you get the feeling. "dpkg --help | less" and all the 
 manual pages mentioned in the "fake" dpkg manpage (man -k dpkg can help 
 too). But be patient... the Debian packaging system is a several years 
 project so _it is_ a complicated and _excelent_ system!
 look also at the /var/lib/dpkg/info to learn "by example" what comes with 
 every package. In my case, the package_name.list file for the "unstable" 
 packages in that directory was missing ...and that confused dselect.
 
 Lazaro <[email-masked]>
______________________________ Reply Separator _________________________________
Subject: dselect/dpkg problem: install/remove
Author:  [email-masked] at cclink
Date:    07.08.96 10:26

I seem to have a similar problem with dselect/dpkg, but not with the 
dpkg-ftp option (haven't gotten that far yet) 

The dselect package has given me problems from the first. I made a 
few errors in my 1st attempt at the CDRom install, but managed to get 
most of the selected packages unpacked & installed.  Where dselect 
hung was on the kernel-source/kernel-headers packages. (where is 
local/binary ??) 

I have tried to remove these packages, but upon running either 
dselect or dpkg I get something along the lines of "Package is in an 
unstable/condititon please re-install before attempting to remove"

As I do not clearly understand the package system yet, I'm afraid to 
simply delete the packages and mess up dpkg's database.  I can't 
install the package, can't re-install the package, and dselect/dpgk 
won't remove it!

Coming from the SlackWare Distribution, I learned how to compile &
install programs using make, so there was no problem using the code 
to create a kernel & boot floppy, which I now use to bring up the 
system.  There are some problems with this too, but that will wait 
for another time.

Can anyone help?